# collada.material

Module for material, effect and image loading

This module contains all the functionality to load and manage: - Images in the image library - Surfaces and samplers2D in effects - Effects (that are now used as materials)

Classes

`CImage`(id, path[, collada, xmlnode]) | Class containing data coming from a <image> tag.
`Effect`(id, params, shadingtype[, bumpmap, ...]) | Class containing data coming from an <effect> tag.
`Map`(sampler, texcoord[, xmlnode]) | Class containing data coming from <texture> tag inside material.
`Material`(id, name, effect[, xmlnode]) | Class containing data coming from a <material> tag.
`OPAQUE_MODE`() | The opaque mode of an effect.
`Sampler2D`(id, surface[, minfilter, ...]) | Class containing data coming from <sampler2D> tag in material.
`Surface`(id, img[, format, xmlnode]) | Class containing data coming from a <surface> tag.

Exceptions

`DaeMissingSampler2D` | Raised when a <texture> tag references a texture without a sampler.